--============================================================================
--  differencesgame.lua
--  Copyright (c) 2009, Bamtang Games. All Rights Reserved.
------------------------------------------------------------------------------

require("scripts/style.lua");

MakeDialog {
    -- Name the modal dialog
    name = "differences_game",
	
    Bitmap {
        name = "bmpBackgroundimage",
		image = "images/gui/differences/ae_gui_differences_background.png",
		
		Bitmap {
		    name = "bmpFrameLeftPhoto",
			image = "images/gui/differences/ae_gui_image_blur.png",
			x = 6,
			y = 0,
		},
		
		Bitmap {
		    name = "bmpFrameRightPhoto",
			image = "images/gui/differences/ae_gui_image_original.png",
			x = 390,
			y = 0,
		},

        DifferencesWindow {
            x = 0,
            y = 0,
            w = 800, 
            h = 600,
			name = "DifferencesWindow",

            level = gDifferencesLevel;

			Button {
				x = 38,
				y = 495,
				w = 131,
				h = 63,
				name = "btnHint",
				command =
					function()
					   hintAction();
					end
			},

			SetStyle(ButtonStyle),
			Button {
				x = 601,
				y = 545,
				name = "btnPause",
				graphics = MenuButtonGraphics,
				cancel = true,
				command =
					function()
						DoModal("scripts/pause.lua");
					end
			},

            -- Button Skip.
			Bitmap {
			   name = "bmpSkipDisabled",
				image = gLocalizedPath.."images/buttons/ae_skip_i",
				x = 10,
				y = 545,
			},
			Button {
				x = 10,
				y = 545,
				name = "btnSkip",
				graphics = SkipButtonGraphics,
				command =
					function()
                        DoModal("scripts/skip_message.lua");
                        --
                        SendMessage("minigameSkipped"); 
                        SetState(kPause, false);
					end
			},
			WindowFx {
				name = "WindowFx";
				x=0; y=0; w=800; h=600;
				ParticleFile="assets/particles/fx_mn_diference/fx_spk40.xml";
				ParticleX=575;
				ParticleY=245; --355;
			},
		},

		Text {
			name = "txtDifferencestitle",
			font = StandardButtonFont,
			label = "DifferencesTitle",
			x = 300, y = 525,
			w = 200, h = 30,
			flags = kHAlignCenter,
		},		
    },

    FadeWindow {
        w = 800,
        h = 600,
        name = "FadeWindow",

        Bitmap {
            image = "images/panelblack",
            name = "bmpPanelBlack",
            x = 0,
            y = 0,
        }
    },
}
